Subject: Re: bug#75934: [PATCH] services: networking: Add dhcpcd service.

From: Sören Tempel <[email-masked]>
Date: Sun, 09 Mar 2025 11:23:41 +0100

Maxim Cournoyer <[email-masked]> wrote:
> Hi Soeren,

Hello Maxim!

> I was wondering, why can't this replacement happen *today* ?

My envisioned timeline was testing the new service a bit first
(gathering feedback from users) and then deprecating the old service.
However, if you think we should deprecate immediately feel free to send
a patch doing that, otherwise I will look into it in the coming weeks.

Further, my thinking was that, considering Guix's review capacities,
splitting this into smaller chunks (adding the package, adding the
service, deprecating the old service, …) makes this easier to review.

Greetings,
Sören